/***************************************************************************
 *   Copyright (C) 2008 by Oliver Groß                                     *
 *   z.o.gross@gmx.de                                                      *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "common.h"

QString formatedTime(quint32 seconds, bool showSeconds) {
	quint32 strippedSeconds = seconds % 60;
	quint8 minutes = seconds / 60;
	quint8 hours   = minutes / 60;
	
	QString result;
	
	if (hours) {
		result = QString("%1:").arg(hours, 2, 10, QLatin1Char('0'));
	}
	
	minutes %= 60;
	
	result += QString("%1").arg(minutes, 2, 10, QLatin1Char('0'));
	
	if (showSeconds) {
		result += QString(":%1").arg(strippedSeconds, 2, 10, QLatin1Char('0'));
	}
	return result;
}
